std::promise::swap(3)

NAME
std::promise::swap - std::promise::swap

Synopsis
   void swap( promise& other ) noexcept; (since C++11)
   Exchanges the shared states of two promise objects.

Parameters
   other - the promise to swap with

Return value
   (none)

Example
    This section is incomplete
    Reason: no example

See also
   std::swap(std::promise) specializes the std::swap algorithm
   (C++11) (function template)